# ../addons/eventscripts/gungame51/scripts/included/gg_knife_elite/gg_knife_elite.py

'''
$Rev: 414 $
$LastChangedBy: WarrenAlpert $
$LastChangedDate: 2010-04-13 14:33:58 -0500 (Tue, 13 Apr 2010) $
'''

# ============================================================================
# >> IMPORTS
# ============================================================================
# Python Imports


# Eventscripts Imports
import es

# GunGame Imports
from gungame51.core.addons.shortcuts import AddonInfo
from gungame51.core.players import Player

# ============================================================================
# >> ADDON REGISTRATION/INFORMATION
# ============================================================================
info = AddonInfo()
info.name = 'gg_knife_elite'
info.title = 'GG Knife Elite' 
info.author = 'GG Dev Team' 
info.version = '0.1'
info.requires = ['gg_dead_strip']
info.conflicts = ['gg_turbo']

# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    es.dbgmsg(0, 'Loaded: %s' % info.name)
    
def unload():
    es.dbgmsg(0, 'Unloaded: %s' % info.name)
    
# ============================================================================
# >> GAME EVENTS
# ============================================================================
def gg_levelup(event_var):
    # Get userid
    attacker = int(event_var['attacker'])
    
    # Switch the player to knife
    es.server.queuecmd('es_xsexec %s "use weapon_knife"' % attacker)
    
    # Strip player of all weapons but a knife
    Player(attacker).strip(True)
    